
Foreman - Feature #890

create statitistics feature where user can create custom graphs based on a fact of choice

05/09/2011 03:20 PM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I would like to see a feature where I can do the following:

1. Click on any fact and graph it based on the fact value.

2. The graph should probably be a pie chart.

The data returned should be something like the following:

{stats: {factname: rubyversion, values: {1.8.7: 10, 1.9.1: 3, 1.8.1: 6, 1.8.5: 33}}

 this example says:

factname is rubyversion

The values that facter return and summing up all the hosts that contain each different rubyversion.

I believe this could be done for every fact and produce a similar pie chart.

The also needs to be made available via json api as well.

History

#1 - 05/11/2011 03:49 AM - Ohad Levy

- Category set to Facts

- Assignee set to Amos Benari

#2 - 06/18/2013 08:49 AM - Benjamin Papillon

- Status changed from New to Closed

This has been done :)
